org.fourthline.cling.binding.staging

## Class MutableDevice

- java.lang.Object
- - org.fourthline.cling.binding.staging.MutableDevice

-     public class MutableDevice
      extends Object

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `URL` | `baseURL`
    `String` | `deviceType`
    `DLNACaps` | `dlnaCaps`
    `List<DLNADoc>` | `dlnaDocs`
    `List<MutableDevice>` | `embeddedDevices`
    `String` | `friendlyName`
    `List<MutableIcon>` | `icons`
    `String` | `manufacturer`
    `URI` | `manufacturerURI`
    `String` | `modelDescription`
    `String` | `modelName`
    `String` | `modelNumber`
    `URI` | `modelURI`
    `MutableDevice` | `parentDevice`
    `URI` | `presentationURI`
    `String` | `serialNumber`
    `List<MutableService>` | `services`
    `MutableUDAVersion` | `udaVersion`
    `UDN` | `udn`
    `String` | `upc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableDevice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Device` | `build(Device prototype)`
    `Device` | `build(Device prototype, UDAVersion deviceVersion, URL baseURL)`
    `DeviceDetails` | `createDeviceDetails(URL baseURL)`
    `DeviceType` | `createDeviceType()`
    `UDAVersion` | `createDeviceVersion()`
    `Icon[]` | `createIcons()`
    `Service[]` | `createServices(Device prototype)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### udn

          public UDN udn

    - #### udaVersion

          public MutableUDAVersion udaVersion

    - #### baseURL

          public URL baseURL

    - #### deviceType

          public String deviceType

    - #### friendlyName

          public String friendlyName

    - #### manufacturer

          public String manufacturer

    - #### manufacturerURI

          public URI manufacturerURI

    - #### modelName

          public String modelName

    - #### modelDescription

          public String modelDescription

    - #### modelNumber

          public String modelNumber

    - #### modelURI

          public URI modelURI

    - #### serialNumber

          public String serialNumber

    - #### upc

          public String upc

    - #### presentationURI

          public URI presentationURI

    - #### dlnaDocs

          public List<DLNADoc> dlnaDocs

    - #### dlnaCaps

          public DLNACaps dlnaCaps

    - #### icons

          public List<MutableIcon> icons

    - #### services

          public List<MutableService> services

    - #### embeddedDevices

          public List<MutableDevice> embeddedDevices

    - #### parentDevice

          public MutableDevice parentDevice

  - ### Constructor Detail

    - #### MutableDevice

          public MutableDevice()

  - ### Method Detail

    - #### build

          public Device build(Device prototype)
                       throws ValidationException

      Throws:
        `ValidationException`

    - #### build

          public Device build(Device prototype,
                              UDAVersion deviceVersion,
                              URL baseURL)
                       throws ValidationException

      Throws:
        `ValidationException`

    - #### createDeviceVersion

          public UDAVersion createDeviceVersion()

    - #### createDeviceType

          public DeviceType createDeviceType()

    - #### createDeviceDetails

          public DeviceDetails createDeviceDetails(URL baseURL)

    - #### createIcons

          public Icon[] createIcons()

    - #### createServices

          public Service[] createServices(Device prototype)
                                   throws ValidationException

      Throws:
        `ValidationException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.